using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace XYY.Api.WarningNotice.WarningNoticeService
{
    public abstract class BaseService
    { 
        public BaseService()
        {
        }

        /// <summary>
        /// 通知
        /// </summary>
        /// <returns></returns>
        public abstract bool NoticeText(TextMessageNoticeTarget message);
        public abstract bool NoticeLink(LinkMessageNoticeTarget target);
        public abstract Task<bool> NoticeActionCard(ActionCardNoticeTarget target);
    }
}
